TR(1)

NAVN
tr - translate or delete characters

OVERSIKT
tr [OPTION]... STRING1 [STRING2]

BESKRIVELSE

Translate, squeeze, and/or delete characters from standard input, writing to standard output. STRING1 and STRING2 specify arrays of characters ARRAY1 and ARRAY2 that control the action.

-c, -C, --complement
    use the complement of ARRAY1

-d, --delete
    delete characters in ARRAY1, do not translate

-s, --squeeze-repeats
    replace each sequence of a repeated character that is listed in the last specified ARRAY, with a single occurrence of that character

-t, --truncate-set1
    first truncate ARRAY1 to length of ARRAY2

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

ARRAYs are specified as strings of characters. Most represent themselves. Interpreted sequences are:

\NNN
    tegn med oktalverdi NNN (1 til 3 oktale sifre)

\\  speilvendt skråstrek

\a  pip

\b  rettetast

\f  skjemakilde

\n  ny linje

\r  rettetast

\t  horisontal tabulator

\v  vertikal tabulator

TEGN1-TEGN2
    alle tegn fra TEGN1 til TEGN2, stigende

[TEGN*]
    in ARRAY2, copies of CHAR until length of ARRAY1

[TEGN*ANT]
    ANT kopier av TEGN, ANT er oktal, hvis det begynner med 0

[:alnum:]
    alle bokstaver og tall

[:alpha:]
    alle bokstaver

[:blank:]
    alle horisontale blanke tegn

[:cntrl:]
    alle kontrolltegn

[:digit:]
    alle siffer

[:graph:]
    alle skrivbare tegn, unntatt blanke tegn

[:lower:]
    alle små bokstaver

[:print:]
    alle skrivbare tegn, inkludert blanke tegn

[:punct:]
    alle tegnsettingstegn

[:space:]
    alle horisontale og vertikale blanke tegn

[:upper:]
    alle store bokstaver

[:xdigit:]
    alle hexadesimale siffer

[=TEGN=]
    alle tegn som tilsvarer TEGN

Translation occurs if -d is not given and both STRING1 and STRING2 appear. -t may be used only when translating. ARRAY2 is extended to length of ARRAY1 by repeating its last character as necessary. Excess characters of ARRAY2 are ignored. Character classes expand in unspecified order; while translating, [:lower:] and [:upper:] may be used in pairs to specify case conversion. Squeezing occurs after translation or deletion.

BUGS

Full support is available only for safe single-byte locales, in which every possible input byte represents a single character. The C locale is safe in GNU systems, so you can avoid this issue in the shell by running LC_ALL=C tr instead of plain tr.

OPPHAVSMANN
Skrevet av Jim Meyering.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/tr>
eller lokalt: info '(coreutils) tr invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.